// M109 Add-on by quakergamer
// This is version for 1.46
// For OPGWC MOD
// http://www.roughnecks.org/opgwc/default.asp
// Visit our website!!

#define TEast 		0
#define TWest 		1
#define TGuerrila 	2
#define TCivilian 	3
#define TSideUnknown 	4
#define TEnemy 		5
#define TFriendly 	6
#define TLogic 		7

#define true 		1
#define false 		0

#define private 	0
#define protected 	1
#define public 		2
class CfgPatches
{
	class M109
	{
		units[] = {M109};
		weapons[] = {M284, M109Mgun};
		requiredVersion = 1.30;
	};
};
class CfgAmmo
{
	class Default	{};
	class m284: Default
	{
		model="shell";
		cost=1000;
		simulation="shotShell";
		simulationStep=0.050000;
		soundHit[]={"Explosions\explosion_large1",100.000008,1};
		soundFly[]={"objects\bulletnoise",0.8,1};
		hit=220;
		explosive=1;
	        visibleFire=100;
		audibleFire=1900;
		visibleFireTime=10;
		minRange=15;
		minRangeProbab=1.0;
		midRange=2000;
		midRangeProbab=0.7;
		maxRange=4000;
		maxRangeProbab=0.3;
		indirectHit=3000;
		indirectHitRange=20;
	};
	class M712: Default
	{
		model="shell";
		cost=1000;
		simulation="shotShell";
		simulationStep=0.070000;
		soundHit[]={"Explosions\explosion_large1",100.000008,1};
		soundFly[]={"objects\bulletnoise",0.8,1};
		hit=520;
		explosive=1;
		irLock=1;
		manualControl=1;
	        visibleFire=100;
		audibleFire=4900;
		visibleFireTime=10;
		minRange=15;
		minRangeProbab=1.0;
		midRange=500;
		midRangeProbab=0.9;
		maxRange=1000;
		maxRangeProbab=0.5;
		indirectHit=20;
		indirectHitRange=2;
	};
};
class CfgWeapons
{  
	class Default {};
	class Shell73: Default {};
        class M284: Default
	{
		ammo="M284";
		scopeWeapon=0;
		scopeMagazine=2;
		displayName="M284 155mm Shell";
		shortNameMagazine="M284";
		displayNameMagazine="M284";
		count=39;
		initSpeed=200;
		reloadTime=15;
		sound[]={\m109\sound\m109_shoot.wav,db+20,1.0};
		ffCount=1;
	};
	class M712: Shell73
	{
		ammo="M712";
		scopeWeapon=0;
		scopeMagazine=2;
		displayName="M712 HEAT (CopperHead)";
		shortNameMagazine="M712";
		displayNameMagazine="M712";
		count=8;
		initSpeed=900;
		reloadTime=7;
		ffCount=1;
	};
	class m109mgun: Default
  	{
    		ammo="BulletSingle";
		displayName="52.Cal MG";
		displayNameMagazine="52.Cal";
		shortNameMagazine="52.Cal";
		nameSound="mgun";
		count=500;
		reloadTime=0.08;
		autofire=1;
		sound[]={\m109\sound\m2.wav,db+20,1.0};
		soundContinuous=0;
		initSpeed=500;
		flash="gunfire";
		flashSize=0.7;
		optics=0;
  	};    
};

class CfgVehicles
{
	class All {};
	class AllVehicles: All {};
	class Land: AllVehicles {};
	class LandVehicle: Land {};
	class Tank: LandVehicle {};
	class M1Abrams: Tank {};
	class M109: M1Abrams
	{
	  	displayName="US M109A6 Paladin";
	  	
	  	model="\M109\ds_m109";
		cost=15000;
		armor=450;
		maxSpeed=50;
		irScanRange=6000;
		picture="\m109\m109_bottom.paa";
		side= 1;
		nameSound="Tank"
		sensitivity=3;
		irScanGround=3000;
		weapons[]={"m284","m109mgun"};
		magazines[]={"m109mgun", "m284"};
		gunnerOpticsModel="\m109\optika_m109";
		class Turret
		{
			gunAxis="OsaHlavne";
			turretAxis="OsaVeze";
			soundServo[]={"Vehicles\gun_elevate",0.031623,1.000000};
			gunBeg="usti hlavne";
			gunEnd="konec hlavne";
			body="OtocVez";
			gun="OtocHlaven";
			minElev=-5;
			maxElev=55;
			minTurn=-360;
			maxTurn=360;
		};
		forceHideGunner=1;
		viewGunnerInExternal=1;
		gunnerCanSee = CanSeeOptics+CanSeeEar+CanSeeCompass+CanSeeRadar;
		threat[]={1, 1, 0.8};

		class HitEngine {armor=0.7;material=60;name=engine;passThrough=1;}
		class HitHull {armor=1;material=53;name=hull;passThrough=1;};
		class HitTurret {armor=0.8;material=51;name=turet;passThrough=1;};
		class HitGun {armor=0.4;material=52;name=gun;passThrough=0;};
		class HitTop {armor=0.1;material=50;name=top;passThrough=1;};

	
		gunnerAction="ManActM1A1Gunner";
		gunnerInAction="ManActT72Gunner";
		driverAction="ManActT72DriverOut";
		driverInAction="ManActT72Driver";
		commanderAction="ManActM1A1CommanderOut";
		commanderInAction="ManActT72Commander";

		fuelCapacity=600;	

		
		armorTurret=0.8;
		armorGun=0.4;
		armorEngine=0.7;
		armorLights=0.3;
		armorStructural=0.9;
		armorTracks=0.6;
		armorHull=1.0;
	};
	class M109_2: m109
	{
		displayName="US M109A6 Paladin (HEAT)";

		weapons[]={"M712","m109mgun"};
		magazines[]={"m109mgun", "M712"};
		picture="\m109\m109_bottom.paa";

		gunnerOpticsModel="optika_tank_gunner";
	};
};
class CfgNonAIVehicles
{
	class ProxyCrew {};
	class ProxyDriver: ProxyCrew {};
	class ProxyCommander: ProxyCrew {};
	class ProxyGunner: ProxyCrew {};
	class ProxyM109Driver: ProxyDriver {};
	class Proxym109Gunner: ProxyGunner {};
	class Proxym109GunnerOutStat: ProxyGunner {};
	class Proxym109Commander: ProxyCommander {};
	class Proxym109CommanderOutStat: ProxyCommander {};
};
class CfgGroups
{
     class West
     {
       
         name="West";
         class Armored
         {
             // type
             name="Armoured";
             class M109Armored
             {
                 // name of group
                 name="M109A6 Paladin Platoon";
                 class Unit0
                 {
                     // this name does nothing
                     name="tank1";
                     side=1;
                     vehicle="m109";
                     rank="CAPTAIN";
                     position[]={0,5,0};
                 };
                 class Unit1
                 {
                     name="tank2";
                     side=1;
                     vehicle="m109";
                     rank="CAPTAIN";
                     position[]={-20,0,0};
                 };
                 class Unit3
                 {
                     name="tank3";
                     side=1;
                     vehicle="M109_2";
                     rank="CAPTAIN";
                     position[]={40,0,0};
                 };		
             };
         };
     };
};